		underscores_in_headers on;
		access_log /var/log/plesk/httpsd_access_log main buffer=8k;

		index index.php;
		root /usr/local/psa/admin/htdocs;

# Some rewrites
		rewrite ^/sitepreview/(.*)$ /sitepreview.php/$1 last;
		rewrite ^/sso/ui$ /sso/ui.php last;
		rewrite ^/sso/users$ /sso/users.php last;
		rewrite ^/sso/signout$ /sso/signout.php last;

# Admin panel
		location /admin {
			alias /usr/local/psa/admin/application/admin/public;
			try_files $uri @route;
		}

# SMB panel
		location /smb {
			alias /usr/local/psa/admin/application/smb/public;
			try_files $uri @route;
		}

# Rest interface
		location /rest {
			alias /usr/local/psa/admin/application/rest/public;
			try_files $uri @route;
		}

		location @route {
			include /etc/sw-cp-server/fastcgi_params;
			fastcgi_pass unix:/var/run/sw-engine.sock;
			fastcgi_param PATH_INFO /admin/$fastcgi_path_info;
			fastcgi_param SCRIPT_FILENAME /usr/local/psa/admin/htdocs/application.php;
			fastcgi_param HTTP_PRAGMA $http_pragma;
		}

		# Plesk service
		location ~* ^/services/([^/]+) {
			set $service_name $1;
			alias /usr/local/psa/admin/services/$service_name/public;
			try_files $uri @service;
		}

		location @service {
			include /etc/sw-cp-server/fastcgi_params;
			fastcgi_pass unix:/var/run/sw-engine.sock;
			fastcgi_param PATH_INFO $fastcgi_path_info;
			fastcgi_param SCRIPT_FILENAME /usr/local/psa/admin/services/$service_name/public/index.php;
		}

# Plesk (old screens)
		location /plesk {
			try_files $uri /plesk.php?$args;
		}

# Custom skins
		location /theme-skins {
			try_files $uri @default-skin;
		}

		location @default-skin {
			rewrite ^/theme-skins/[^/]+/(.*)$ /theme/$1 last;
		}

# For backup download via X-Accel-Redirect
		location /tmp/ {
			internal;
			alias /tmp/;
		}

		location ~* \.(php|php3)(/|$) {
			include /etc/sw-cp-server/fastcgi_params;
			fastcgi_pass unix:/var/run/sw-engine.sock;
			fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		}
