<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
$messages = array(
    'pageHint' => 'Here you can configure the web application firewall (ModSecurity).',
    'webSitePageHint' => 'Here you can configure the web application firewall (ModSecurity).',
    'ruleEngine' => 'Web application firewall mode',
    'ruleEngineOn' => 'On',
    'ruleEngineOnDescription' => 'Each incoming HTTP request and the related response are checked against a set of rules. If the check succeeds, the HTTP request is passed to web site content. If the check fails, the event is logged, a notification is sent, and the HTTP response is provided with an error code.',
    'ruleEngineOff' => 'Off',
    'ruleEngineOffDescription' => 'Incoming HTTP requests and related responses are not checked.',
    'ruleEngineDetectionOnly' => 'Detection only',
    'ruleEngineDetectionOnlyDescription' => 'Each incoming HTTP request and the related response are checked against a set of rules. If the check succeeds, the HTTP request is passed to web site content. If the check fails, the event is logged, no other actions are performed.',

    'ruleSetsSection' => 'Rule sets',
    'ruleSetsSectionHint' => 'A rule set is a package that contains files with specific security rules. A security rule is checked by the web application firewall engine for each incoming HTTP request.',
    'ruleSet' => 'Rule set',
    'ruleSetCrs' => 'OWASP ModSecurity Core Rule Set (CRS)',
    'ruleSetCrsDescription' => 'CRS provides generic protection from unknown vulnerabilities often found in web applications. This makes the difference between CRS and other intrusion detection and prevention systems, which rely on signatures specific to known vulnerabilities. However, OWASP rules might be too restrictive and thus block some functions, such as File Sharing, webmail, and some web applications.',
    'ruleSetCrsConfirmTitle' => 'Are you sure you want to apply the changes?',
    'ruleSetCrsConfirmDescription' => 'OWASP rules might be too restrictive and thus block some functions, such as File Sharing, webmail, and some web applications.',
    'ruleSetTortix' => 'Atomic Basic ModSecurity rule set',
    'ruleSetTortixDescription' => 'A tailored version of the Atomic ModSecurity rules, bundled with Plesk. Contains important security features and bug fixes released by GotRoot on a daily basis. These rules are fully supported and are recommended for production use.',
    'ruleSetTortixPro' => 'Atomic Professional ModSecurity rule set',
    'ruleSetTortixProDescription' => 'The latest version of the Atomic ModSecurity rules, with all the performance enhancements, new security features and bug fixes released by GotRoot on a daily basis. These rules are fully supported and are recommended for production use.',
    'ruleSetAtomic' => 'Atomic ModSecurity rule set (subscription)',
    'ruleSetAtomicDescription' => 'A monthly subscription to the latest version of the Atomic ModSecurity rules, with all the performance enhancements, new security features and bug fixes released by GotRoot on a daily basis. These rules are fully supported and are recommended for production use.',
    'ruleSetAtomicInstall' => 'Enter another username and password.',
    'ruleSetAtomicHowTo' => 'To enable this rule set:',
    'ruleSetAtomicRegister' => 'Register at Atomic site.',
    'ruleSetAtomicCredentials' => 'Enter your username and password from this site.',
    'ruleSetAtomicLogin' => 'Username',
    'ruleSetAtomicPassword' => 'Password',
    'ruleSetComodo' => 'Comodo ModSecurity rule set (subscription)',
    'ruleSetComodoDescription' => 'Comodo Web Application Firewall (CWAF) is a simple-to-use, customizable rules based traffic control system that protects your web based applications and prevents emerging hacking techniques with the use of frequently updated rules database. Comodo rule set requires a monthly subscription.',
    'ruleSetComodoInstall' => 'Enter another username and password.',
    'ruleSetComodoHowTo' => 'To enable this rule set:',
    'ruleSetComodoRegister' => 'Register at Comodo site.',
    'ruleSetComodoCredentials' => 'Enter your username and password from this site.',
    'ruleSetComodoLogin' => 'Username',
    'ruleSetComodoPassword' => 'Password',
    'ruleSetCustom' => 'Custom rule set',
    'ruleSetCustomDescription' => 'Here you can upload a custom web application firewall rule set. You can use a trial package from Atomic or a free package from Comodo. Supported formats: zip, tar.gz, tgz, tar.bz2, conf.',
    'ruleSetCustomUpload' => 'Select Another File',
    'ruleSetError' => 'Failed to install the ModSecurity rule set: %%error%%',
    'ruleSetAuthError' => 'The specified username or password is invalid.',
    'ruleSetUpdate' => 'Update rule sets',
    'ruleSetUpdateDaily' => 'Daily',
    'ruleSetUpdateWeekly' => 'Weekly',
    'ruleSetUpdateMonthly' => 'Monthly',
    'currentRuleSet' => 'Selected rule set',
    'currentRuleSetValue' => '%%ruleSet%% %%changeRuleSetLink%%',
    'changeRuleSetLink' => 'Change Rule Set',

    'configurationSection' => 'Configuration',
    'configurationSectionHint' => 'You can quickly and easily configure your web application firewall using either a predefined set of parameters or your custom, fine-tuned ModSecurity directives.',
    'configPreset' => 'Predefined set of values',
    'configPresetFast' => 'Fast',
    'configPresetFastDescription' => 'The HTTP request URI and parts of headers will be analyzed.',
    'configPresetTradeOff' => 'Tradeoff',
    'configPresetTradeOffDescription' => 'The HTTP request URI, headers and the request POST data will be analyzed.',
    'configPresetThrough' => 'Thorough',
    'configPresetThroughDescription' => 'The full HTTP request headers, the request POST data and the HTTP response body content will be analyzed.',
    'configCustom' => 'Custom directives',
    'configCustomDescription' => "Input a ModSecurity directive here. It will override the previously specified directives (rule sets, specific rules, the predefined set of values, and so on).\nFor example: SecDebugLogLevel 6",
    'configCustomError' => 'Invalid Apache configuration: %%error%%',
    'rollbackFailed' => 'Unable to use the current Apache configuration file and to roll back to the previous version of the file because they contain an invalid configuration.',

    'rulesSection' => 'Switch off security rules',
    'rulesSectionHint' => 'Here you can switch off security rules. It is handy if you find out that a security rule is too restrictive for some websites. To deactivate security rules, specify their IDs (for example, 340003), tags (for example, CVE-2011-4898), or regular expressions used in rule messages (for example, XSS).',
    'filterById' => 'Security rule IDs',
    'filterByTag' => 'Tags',
    'filterByTagActive' => 'Active:',
    'filterByTagDeactivated' => 'Deactivated:',
    'filterByRegexp' => 'Regular expression in rule messages',

    'auditLogSection' => 'ModSecurity audit log',
    'auditLogHint1' => 'The ModSecurity audit log file is the most useful piece of information in the system. When ModSecurity detects that any event occurs, it generates an entry in the audit log file.',
    'auditLogHint2' => 'A website can stop functioning as expected after you change the web application firewall mode to On from Off or Detection only. In this case, analyze the ModSecurity audit log to find out what is happening. You can switch off too restrictive security rules or adjust the website.',
    'auditLogHint3' => 'To find out why an HTTP request cannot be completed for a website:',
    'auditLogPoint1' => 'Click the ModSecurity Log File link below and open the audit log in a new browser window.',
    'auditLogPoint2' => 'Use Search (Ctrl+F in most web browsers) to find events for the website (the domain name) that experiences problems. For example, your_domain.tld. The browser will highlight entries like HOST: your_domain.tld.',
    'auditLogPoint3' => 'In three lines above the highlighted entry, find a string like --eece5138-B--. The eight symbols between hyphens (in our example, eece5138) are the ID of the event triggered by the HTTP request.',
    'auditLogPoint4' => 'Search further for other entries with the same event ID. Look for an entry with the letter H after the event ID (in our example, eece5138-H--). This entry contains the ID and description of the security rule triggered while checking the HTTP request. The security rule ID is an integer number starting with 3, in quotation marks, and put with the prefix id in square brackets. For example, [id "340003"].',
    'auditLogPoint5' => 'Find a security rule ID in the event using a substring [id "3.',
    'auditLogPoint6' => 'Switch off the security rule with this ID in the Security rules section below: enter the security rule ID (digits only) into the Security rule IDs field and click OK.',
    'auditLogViewLink' => 'ModSecurity Log File',
    'auditLogListLink' => 'Logs Archive',

    'errorLogSection' => 'Error log',
    'errorLogSectionHint' => 'A website can stop functioning as expected after you change the web application firewall mode to On from Off or Detection only. In this case, analyze the error log to find out what is happening. You can switch off too restrictive security rules or adjust the website.',
    'errorLogViewLink' => 'Error Log File',
    'errorLogListLink' => 'Logs Archive',
);
