<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
$messages = array(

    'secureContentCheckerUnresolvedMain' => "The wp-content folder is secure on %%number%% WordPress installations.",
    'secureContentCheckerTitle' => 'Security of the wp-content folder',
    'secureContentCheckerHint' => 'The wp-content directory may contain insecure PHP files that can be used to damage your site. After WordPress installation, PHP files can be executed from the wp-content directory. The security check should verify that the execution of PHP files in the wp-content directory is forbidden. If the security check failed and you choose to secure the WordPress installation, execution of PHP files in the wp-content directory will be forbidden in the server configuration file (Apache, nginx for Linux or web.config for Windows). Note that custom directives in the .htaccess or web.config files might override this.',

    'secureIncludesCheckerUnresolvedMain' => "The wp-includes folder is secure on %%number%% WordPress installations.",
    'secureIncludesCheckerTitle' => 'Security of the wp-includes folder',
    'secureIncludesCheckerHint' => 'The wp-includes directory may contain insecure PHP files that can be used to damage your site. After WordPress installation, PHP files can be executed from the wp-content directory. The security check should verify that the execution of PHP files in the wp-includes directory is forbidden. If the security check failed and you choose to secure the WordPress installation, execution of PHP files in the wp-includes directory will be forbidden in the server configuration file (Apache, nginx for Linux or web.config for Windows). Note that custom directives in the .htaccess or web.config files might override this.',

    'secureConfigCheckerUnresolvedMain' => "The wp-config.php file is secure on %%number%% WordPress installations.",
    'secureConfigCheckerTitle' => 'Security of the configuration file',
    'secureConfigCheckerHint' => 'The wp-config.php file contains credentials for database and so on. After WordPress installation, the wp-config.php file can be executed. If, for some reason, processing of PHP files by the web server is turned off, hackers can access the content of the wp-config.php file. The security check should verify that unauthorized access to the wp-config.php file is blocked. If the security check failed and you choose to secure the WordPress installation, execution of the wp-config.php file will be forbidden in the server configuration file (Apache, nginx for Linux or web.config for Windows). Note that custom directives in the .htaccess or web.config files might override this.',

    'secureIndexingCheckerUnresolvedMain' => "Directory browsing is not allowed on %%number%% WordPress installations.",
    'secureIndexingCheckerTitle' => 'Directory browsing permissions',
    'secureIndexingCheckerHint' => 'If directory browsing is turned on, hackers can obtain information about your site (the used plugins and so on). By default, directory browsing is turned off in Plesk. The security check should verify that directory browsing on the WordPress installation is turned off. If the security check failed and you choose to secure the WordPress installation, directory browsing on the WordPress installation will be turned off in the server configuration file (Apache, nginx for Linux or web.config for Windows).',

    'dbPrefixCheckerUnresolvedMain' => "%%number%% WordPress installations have the standard wp_ database prefix.",
    'dbPrefixCheckerTitle' => 'Database prefix',
    'dbPrefixCheckerHint' => 'WordPress database tables have the same names in all WordPress installations. When the standard wp_ prefix to the database tables\' names is used, the whole WordPress database structure is not a secret and anyone can obtain any data from it. The security check should verify that the prefix to the database tables\' names is other than wp_. If the security check failed and you choose to secure the WordPress installation, the maintenance mode is turned on, all plugins are deactivated, the prefix is changed in the configuration file, the prefix is changed in the database, the plugins are re-activated, the permalink structure is refreshed, and then the maintenance mode is turned off.',
    'dbPrefixCheckError' => "An error occurred while checking the database prefix of the WordPress installation '%%name%%'. Check the validity of the WordPress database parameters in the wp-config.php file.",
    'dbPrefixResolveError' => "An error occurred while changing the database prefix for the WordPress installation '%%name%%'. Check the validity of the WordPress database parameters in the wp-config.php file.",
    'dbPrefixResolveErrorDetailed' => "An error occurred while changing the database prefix of the WordPress installation '%%name%%': %%details%%",

    'failedTurnOnMaintenanceMode' => "The database prefix was not changed: Unable to turn on the WordPress maintenance mode. Make sure that the wp_content folder has read and write permissions and retry the operation.",
    'failedTurnOffMaintenanceMode' => "The database prefix was changed, but the WordPress maintenance mode was not turned off. Turn off the WordPress maintenance mode manually.",
    'failedDeactivatePlugin' => "The database prefix was not changed: Unable to deactivate all the plugins. Only some of the plugins were deactivated, the WordPress maintenance mode is turned on now. Activate the plugins that were deactivated, turn off the maintenance mode and retry the operation.",
    'failedActivatePlugin' => "The database prefix was changed, but some of the plugins were not activated. The WordPress maintenance mode is turned on now. Activate the plugins and turn off the maintenance mode.",
    'wrongPrefix' => "The database prefix was not changed. Retry the operation.",
    'failedChangeConfig' => "The database prefix was not changed: Unable to modify the configuration file. Some of the plugins were deactivated, the WordPress maintenance mode is turned on now. Make sure that the wp-config.php file has read and write permissions, activate the plugins that were deactivated, turn off the maintenance mode, and retry the operation.",
    'failedChangeDb' => "The database prefix was not changed: an error occurred while changing the database structure. Some of the plugins were deactivated, the WordPress maintenance mode is turned on now. Restore the database from a backup, change back the database prefix in the wp-config.php file, activate the plugins that were deactivated, turn off the maintenance mode, and retry the operation.",

    'securityKeysCheckerUnresolvedMain' => "%%number%% WordPress installations do not have a list of security keys.",
    'securityKeysCheckerTitle' => 'Security keys',
    'securityKeysCheckerHint' => 'WordPress uses security keys (AUTH_KEY, SECURE_AUTH_KEY, LOGGED_IN_KEY, and NONCE_KEY) to ensure better encryption of information stored in the user\'s cookies. A good security key should be long (60 characters or longer), random and complicated enough. The security check should verify that the security keys are set up and that they at least contain alphabetic and numeric characters. If the security check failed and you choose to secure the WordPress installation, good security keys will be generated and added for your WordPress installation.',
    'securityKeysCheckError' => "An error occurred while checking security keys of the WordPress installation '%%name%%'.",
    'securityKeysResolveError' => "An error occurred while adding security keys to the WordPress installation '%%name%%'.",

    'securityPermissionsCheckerUnresolvedMain' => "%%number%% WordPress installations do not have the correct permissions for files (644) and directories (755).",
    'securityPermissionsCheckerTitle' => 'Permissions for files and directories',
    'securityPermissionsCheckerHint' => 'If permissions for files and directories do not comply with the security policy, these files can be used to hack your site. After WordPress installation, files and directories can have various permissions. The security check should verify that the permissions for the wp-config file are set to 600, for other files to 644, and for directories to 755. If the security check failed and you choose to secure the WordPress installation, permissions for files and directories will be changed in accordance with WordPress security policy: permissions for the wp-config file will be set to 600, for other files, to 644, and for directories, to 755.',
    'securityPermissionsCheckError' => "An error occurred while checking permissions for files and directories on the WordPress installation '%%name%%'.",
    'securityPermissionsResolveError' => "An error occurred while setting the correct permissions for files (644) and directories (755) on the WordPress installation '%%name%%'.",

    'noWordPressInstancesToSecure' => 'No WordPress installations to secure: None of the selected installations can be secured. Please go back to the list of WordPress installations and select the installations again.',

    'adminUsernameCheckerUnresolvedMain' => "%%number%% WordPress installations use 'admin' as the administrator\'s username.",
    'adminUsernameCheckerTitle' => 'Administrator\'s username',
    'adminUsernameCheckerHint' => 'When a WordPress copy is installed, by default there is a user with administrative privileges and the login name \'admin\'. As a user\'s login name cannot be changed in WordPress, one only needs to guess the password to access the system as the administrator. The security check should verify that there is no user with the administrative privileges and the login name \'admin\'. If the security check failed and you choose to secure the WordPress installation, a new user with a random login name and password and the same profile and properties as the current administrator is created. The administrator\'s blogs and links are reassigned to the new user, and then the administrator\'s account is removed.',
    'adminUsernameCheckError' => "An error occurred while checking the administrator\'s username on the WordPress installation '%%name%%'.",
    'adminUsernameResolveError' => "An error occurred while changing the administrator\'s username on the WordPress installation '%%name%%'.",
    'adminUsernameResolveErrorDetailed' => "An error occurred while changing the administrator\'s username on the WordPress installation '%%name%%': %%details%%",

    'adminNotFound' => "An administrator with the 'admin' username was not found.",
    'adminNotCreated' => "Failed to create a new user.",
    'userMetaNotUpdated' => "The new user was created, failed to update the user\'s meta data.",
    'adminNotDeleted' => "The new user was created. However, the administrator\'s blogs and links could not be reassigned to the new user and the old administrator could not be deleted.",
    'adminNotUpdated' => "The new user was created, the administrator\'s blogs and links were reassigned to the new user. However, a new administrator\'s email address could not be set.",

    'versionInfoCheckerUnresolvedMain' => "%%number%% WordPress installations display their version number.",
    'versionInfoCheckerTitle' => 'Version information',
    'versionInfoCheckerHint' => 'There are known security vulnerabilities for each WordPress version. For this reason, displaying the version of your WordPress installation makes it an easier target for hackers. The version of an unprotected WordPress installation can be seen in the pages\' meta data and readme.html files. The security check should verify that all readme.html files are empty and that every theme has a functions.php file, which contains the line: remove_action(\'wp_head\', \'wp_generator\');. If the security check failed and you choose to secure the WordPress installation, the content of the readme.html files will be cleared, and the above line will be added to the functions.php file of every theme. If there is no such file in a theme, it will be created.',
    'versionInfoCheckError' => "An error occurred while checking if the WordPress installation '%%name%%' displays its version information. Make sure that all files have reading permissions.",
    'versionInfoResolveError' => "An error occurred while removing the version information from the pages\' meta data and readme.html files on the WordPress installation '%%name%%'. Make sure that all files have reading and writing permissions.",

);
