// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
Jsw.namespace('Smb.Views.Apps');

Smb.Views.Apps = {

    resizeBlocks: function() {
        var bodyHeight = document.body.clientHeight;

        if (Prototype.Browser.IE) {
            bodyHeight = document.documentElement.clientHeight;
        }

        var blockHeight = Element.getHeight($('objects-list'));
        var blockTop = Position.cumulativeOffset($('objects-list'))[1];

        var blockBottom = Element.getHeight($('footer-wrapper'));
        // correction for integrated mode
        if (self != top) {
            blockBottom = 20; // little border
        }

        var newBlockHeight = bodyHeight - blockTop - blockBottom;

        if (newBlockHeight < 200) {
            // minimum height
            newBlockHeight = 200;
        }

        $('objects-list-content-area').up().style.height = newBlockHeight - 3 + 'px';

        var catalogActionsBox = $('catalog-actions-box');

        if (catalogActionsBox) {
            var objectsContent = catalogActionsBox.next();

            if (catalogActionsBox.visible()) {
                objectsContent.setStyle({ 'height': newBlockHeight - catalogActionsBox.getHeight() - 3 + 'px' });
            } else {
                objectsContent.setStyle({ 'height': newBlockHeight - 3 + 'px' });
            }
        } else {
            var headingHeight = $$('#objects-details-content .objects-details-heading').first().getHeight();
            var hintHeight = $$('#objects-details-content .object-details-hint').first().getHeight();
            var contentHeight = newBlockHeight - headingHeight - hintHeight - 3;
            $$('#objects-details-content .objects-content').first().setStyle({ 'height': contentHeight + 'px' });
        }

        Smb.Views.Apps.fixContentWidth();
        Smb.Views.Apps.fixMarketplaceContentHeight();
    },

    fixContentWidth: function() {
        var innerContainer = $('category-info');

        if (!$('catalog-actions-box')) {
            return ;
        }

        var outerContainer = $('catalog-actions-box').next();

        if (outerContainer.getHeight() < innerContainer.getHeight()) {
            outerContainer.addClassName('with-scroll');
        } else {
            outerContainer.removeClassName('with-scroll');
        }
    },

    fixMarketplaceContentHeight: function() {
        var marketList = $$('.aps-marketplace-list').first();
        if (marketList) {
            var isOdd = true;
            var oddElement = null;
            var evenElement = null;

            marketList.select('.package-content').each(function(contentElement) {
                if (isOdd) {
                    oddElement = contentElement;
                    isOdd = false;
                } else {
                    evenElement = contentElement;
                    if (oddElement.getHeight() > evenElement.getHeight()) {
                        evenElement.setStyle({ 'height': oddElement.getHeight() + 'px' });
                    } else if (oddElement.getHeight() < evenElement.getHeight()) {
                        oddElement.setStyle({ 'height': evenElement.getHeight() + 'px' });
                    }
                    isOdd = true;
                }
            });

            // if marketplace list has a scroll bar so we need to add 'dropup' class to the elements in last row
            var outerContainer = $('catalog-actions-box').next();
            var rowCount = Math.round(marketList.select('.package-block').length / 2);
            var currentRow = 1;
            var elementsInRow = 0;
            marketList.select('.package-block').each(function(contentElement) {
                elementsInRow++;
                if (currentRow == rowCount ) {
                    var installGroupButton = contentElement.select('.btn-group').first();
                    if (installGroupButton) {
                        if (outerContainer.hasClassName('with-scroll')) {
                            installGroupButton.addClassName('dropup');
                        } else {
                            installGroupButton.removeClassName('dropup');
                        }
                    }

                }
                if (2 == elementsInRow) {
                    elementsInRow = 0;
                    currentRow++;
                }
            });
        }
    },
    responsiveItems: function() {
        var element = $('objects-list');
        element.select('.objects-nav-item').each(function(el) {
            el.observe('click', function(e) {
                var listItem = el.up('.objects-nav');
                if (listItem.hasClassName('objects-nav-active')) {
                    Event.stop(e);
                }
                listItem.up('.objects-nav-container').toggleClassName('responsive-items-visible');
            });
        });
    }
};
