<?php echo AUTOGENERATED_CONFIGS; ?>
<?php
    $ipAddresses = $VAR->server->ipAddresses->all;
    $ipLimit = $VAR->server->webserver->apache->vhostIpCapacity;
    $hordeDocroot = $VAR->server->webserver->horde->docroot;
    $domainsBootstrap = $VAR->server->webserver->httpConfDir . "/plesk.conf.d/webmails/horde/*.conf";
    $hordeConfD = $VAR->server->webserver->horde->confD;
    $hordeLogD = $VAR->server->webserver->horde->logD;
    $hordeDocD = $VAR->server->webserver->horde->docD;
    $pearD = $VAR->server->webserver->horde->pearD;
    $pearIncludeD = $VAR->server->webserver->horde->pearIncludeD;
    $modPHPAvailiable = $VAR->server->php->ModAvailable;
    $hordeSysUser = "horde_sysuser";
    $hordeSysGroup = "horde_sysgroup";
    $hordePhpIni = $hordeConfD . "/horde/php.ini";
?>

<?php for($ipAddress = reset($ipAddresses); $ipAddress; $ipAddress = next($ipAddresses)): ?>
<VirtualHost \
    <?php echo "{$ipAddress->escapedAddress}:{$VAR->server->webserver->httpPort}" ?> \
<?php for ($n = 1; $n < $ipLimit && $ipAddress = next($ipAddresses); ++$n): ?>
    <?php echo "{$ipAddress->escapedAddress}:{$VAR->server->webserver->httpPort}" ?> \
<?php endfor; ?>
    <?php echo ($VAR->server->webserver->proxyActive) ? "127.0.0.1:" . $VAR->server->webserver->httpPort : ''; ?> \
>

    ServerName horde.webmail
    ServerAlias horde.webmail.*
    ServerAdmin "<?php echo $VAR->server->admin->email ?>"

    <?php echo $VAR->server->webserver->includeOptionalConfig($domainsBootstrap) ?>
    UseCanonicalName Off

    DocumentRoot "<?php echo $hordeDocroot ?>"
    Alias /horde/ "<?php echo $hordeDocroot ?>/"

    <?php echo $VAR->includeTemplate('domain/PCI_compliance.php') ?>

    <IfModule mod_suexec.c>
        SuexecUserGroup "<?php echo $hordeSysUser; ?>" "<?php echo $hordeSysGroup; ?>"
    </IfModule>

    <IfModule mod_fcgid.c>
        FcgidInitialEnv PP_CUSTOM_PHP_CGI_INDEX fastcgi
        FcgidInitialEnv PP_CUSTOM_PHP_INI "<?php echo $hordePhpIni; ?>"
        FcgidMaxRequestLen 134217728
        <Directory "<?php echo $hordeDocroot ?>">
            <Files ~ (\.php$)>
                SetHandler fcgid-script
                FCGIWrapper <?php echo $VAR->server->webserver->apache->phpCgiBin ?> .php
                Options +ExecCGI
            </Files>

            Order allow,deny
            Allow from all
        </Directory>
    </IfModule>
</VirtualHost>
<?php endfor; ?>


<IfModule mod_ssl.c>
<?php for($ipAddress = reset($ipAddresses); $ipAddress; $ipAddress = next($ipAddresses)): ?>
<?php if ($ipAddress->sslCertificate->ce): ?>
<VirtualHost \
    <?php echo "{$ipAddress->escapedAddress}:{$VAR->server->webserver->httpsPort}" ?> \
    <?php echo ($VAR->server->webserver->proxyActive) ? "127.0.0.1:" . $VAR->server->webserver->httpsPort : ''; ?> \
>

    ServerName horde.webmail
    ServerAlias horde.webmail.*
    ServerAdmin "<?php echo $VAR->server->admin->email ?>"

    <?php echo $VAR->server->webserver->includeOptionalConfig($domainsBootstrap) ?>

    UseCanonicalName Off

    DocumentRoot "<?php echo $hordeDocroot ?>"
    Alias /horde/ "<?php echo $hordeDocroot ?>/"

    SSLEngine on
    SSLVerifyClient none
    SSLCertificateFile "<?php echo $ipAddress->sslCertificate->ceFilePath ?>"

    <IfModule mod_suexec.c>
        SuexecUserGroup "<?php echo $hordeSysUser; ?>" "<?php echo $hordeSysGroup; ?>"
    </IfModule>

    <?php echo $VAR->includeTemplate('domain/PCI_compliance.php') ?>

    <IfModule mod_fcgid.c>
        FcgidInitialEnv PP_CUSTOM_PHP_CGI_INDEX fastcgi
        FcgidInitialEnv PP_CUSTOM_PHP_INI "<?php echo $hordePhpIni; ?>"
        FcgidMaxRequestLen 134217728
        <Directory "<?php echo $hordeDocroot ?>">
            <Files ~ (\.php$)>
                SetHandler fcgid-script
                FCGIWrapper <?php echo $VAR->server->webserver->apache->phpCgiBin ?> .php
                Options +ExecCGI
            </Files>

            SSLRequireSSL
            Order allow,deny
            Allow from all
        </Directory>
    </IfModule>
</VirtualHost>
<?php endif; ?>
<?php endfor; ?>
</IfModule>
