Proto.Chart.PatchedChart = Class.create(Proto.Chart, {
    /**
     * Function: constructCanvas
     *
     * Description: constructs the main canvas for drawing. It replicates the HTML elem (usually DIV) passed
     * in via constructor. If there is no height/width assigned to the HTML elem then we take a default size
     * of 400px (width) and 300px (height)
     */
    constructCanvas: function() {

        this.canvasWidth = this.domObj.getWidth();
        this.canvasHeight = this.domObj.getHeight();
        this.domObj.update(""); // clear target
        this.domObj.setStyle({
            "position": "relative"
        });

        if (this.canvasWidth <= 0) {
            this.canvasWdith = 400;
        }
        if(this.canvasHeight <= 0) {
            this.canvasHeight = 300;
        }

        var hasCanvas = (!!document.createElement('canvas').getContext);
        this.canvas = (!hasCanvas ? document.createElement("canvas") : new Element("CANVAS", {'width': this.canvasWidth, 'height': this.canvasHeight}));

        Element.extend(this.canvas);
        this.canvas.style.width = this.canvasWidth + "px";
        this.canvas.style.height = this.canvasHeight + "px";

        this.domObj.appendChild(this.canvas);

        if (!hasCanvas) // excanvas hack
        {
            this.canvas = $(window.G_vmlCanvasManager.initElement(this.canvas));
        }
        this.canvas = $(this.canvas);

        this.context = this.canvas.getContext("2d");

        this.overlay = (!hasCanvas) ? document.createElement("canvas") :  new Element("CANVAS", {'width': this.canvasWidth, 'height': this.canvasHeight});
        Element.extend(this.overlay);
        this.overlay.style.width = this.canvasWidth + "px";
        this.overlay.style.height = this.canvasHeight + "px";
        this.overlay.style.position = "absolute";
        this.overlay.style.left = "0px";
        this.overlay.style.right = "0px";

        this.overlay.setStyle({
            'position': 'absolute',
            'left': '0px',
            'right': '0px'
        });
        this.domObj.appendChild(this.overlay);

        if (!hasCanvas) {
            this.overlay = $(window.G_vmlCanvasManager.initElement(this.overlay));
        }

        this.overlay = $(this.overlay);
        this.overlayContext = this.overlay.getContext("2d");

        if(this.options.selection.mode)
        {
            this.overlay.observe('mousedown', this.onMouseDown.bind(this));
            this.overlay.observe('mousemove', this.onMouseMove.bind(this));
        }
        if(this.options.grid.clickable) {
            this.overlay.observe('click', this.onClick.bind(this));
        }
        if(this.options.mouse.track)
        {
            this.overlay.observe('mousemove', this.onMouseMove.bind(this));
        }
    }
});

Proto.Chart.prototype = Proto.Chart.PatchedChart.prototype;