// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
// original state of the select field
var dst_orig;

function save_state(s)
{
	// ignore the last line
	dst_orig = Array(s.length - 1);

	for (i=0; i<dst_orig.length; i++)
		dst_orig[i] = s[i].value;
}

function move_selection(src, dst)
{
	// don't touch anything if nothing selected. also ignore the last line
	if ((src.selectedIndex == -1) || (src.selectedIndex == src.length-1))
		return;

	var selected = new Array();	// elements, selected for move
	var remains = new Array();	// elements, remaining in src

	// ignore the last line
	for (i=0; i<src.length; i++)
		if (src.options[i].selected && (i != src.length-1))
			selected.push(new Option(src.options[i].text, src.options[i].value));
		else
			remains.push(new Option(src.options[i].text, src.options[i].value));

	// compress remaining src elements, move last line on new position, clean the tail
	for (i=0; i<remains.length; i++)
		src.options[i] = remains[i];
	for (i=src.length-1; i>=remains.length; i--)
		src.options[i] = null;

	// insert moved src elements into dst
	for (i=0; i<selected.length; i++) {

		var index = 0;

		// find appropriate place for element
		while ((dst.options[index].text < selected[i].text) && (index + 1 < dst.length)) index++;

		// move all elements greater then the new one one line lower
		for (j=dst.options.length-1; j>=index; j--)
			dst.options[j+1] = new Option(dst.options[j].text, dst.options[j].value);
		dst.options[index] = new Option(selected[i].text, selected[i].value);
	}
}

function update_changes(s)
{
	// ignore the last line
	var removed = new Array();

	for (i=0; i<dst_orig.length; i++) {
		var index = i;
		for (j=0; j<s.length - 1; j++) {
			if (dst_orig[i] == s[j].value) {
				// element wasn't removed
				index = -1;
				break;
			}
		}
		if (index != -1)
			removed[removed.length] = dst_orig[i];
	}

	// ignore the last line
	var added = new Array();

	for (i=0; i<s.length - 1; i++) {
		var index = i;
		for (j=0; j<dst_orig.length; j++) {
			if (s[i].value == dst_orig[j]) {
				// element wasn't added
				index = -1;
				break;
			}
		}
		if (index != -1)
			added[added.length] = s[i].value;
	}
	document.forms[0].added.value = added.join(',');
	document.forms[0].removed.value = removed.join(',');
}

function submit_changed(s, skip_submit)
{
	update_changes(s);
	if (!skip_submit)
		lsubmit(document.forms[0]);
}
