<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
include_once('spaw2plesk.php');

$dom_id = Session::get()->auth()->domainId;
if ($dom_id <= 0)
	throw new PleskFatalException('Domain ID is undefined.');

global $domain;
$domain = objectMaker('Domain', $dom_id);
if ($domain->error())
	throw new PleskFatalException('Unable to create Domain object: ' . $domain->getErrorMsg());

$result = FileManager::detectInitialValuesByDomainId($domain->getId());
if (!$result)
	throw new PleskFatalException('Domain ID doesn\'t exist.');

$header = ($header = get_gpc('header')) ? base64_decode($header) : '';
$footer = ($footer = get_gpc('footer')) ? base64_decode($footer) : '';
$file_name = get_gpc('file_name');
$body = get_gpc('spaw2');

$fileManager = new FileManager($result['sys_user'], $result['basedir'], $result['webname'], $result['label'], $result['serviceNode']);
if (false === $body) {
	throw new PleskFatalException('Unable to fetch the data from submit.');
}

$code = $header . spaw2plesk_export_file_contents($body) . $footer;

if (!($current_codepage = Session::get()->panel()->fileManagerCodepage))
	$current_codepage = PLESK_CODEPAGE;

if (!($new_codepage = get_gpc('codepage')))
	$new_codepage = $current_codepage;

if (false === ($file_code = plesk_iconv(PLESK_CODEPAGE, $new_codepage, $code))) {
	$new_codepage = PLESK_CODEPAGE;
	$file_code = $code;
}
$file_code = set_codepage_html($file_code, $new_codepage);

Session::get()->panel()->fileManagerCodepage = $new_codepage;

$filename = $fileManager->get_file_path($file_name);

$fileManager->fputs_wrapper($filename, $file_code);

info(lmsg('filemanager__wysiwyg_file_saved'));
go_to_uplevel();
?>