# Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
import logging, os.path, os

class FileHandler(logging.FileHandler):
    def __init__(self, filename, mode="a", permissions = 0600):
        old_umask = os.umask(0777)
        logging.FileHandler.__init__(self, filename, mode)
        os.umask(old_umask)
        os.chmod(filename, permissions)

def initLog(component, dir, debug_mode = False):
    handler = FileHandler(os.path.join(dir, component + ".log"))
    handler.setFormatter(logging.Formatter("[%(asctime)s.%(msecs).03d] %(levelname)s: %(message)s", "%Y-%m-%d %H:%M:%S"))

    root = logging.getLogger()

    root.addHandler(handler)
    root.setLevel(debug_mode and logging.DEBUG or logging.INFO)

def initPidLog(component, dir, debug_mode = False):
    handler = FileHandler(os.path.join(dir, component + ".log"))
    handler.setFormatter(logging.Formatter("[%(asctime)s.%(msecs).03d|%(process)d] %(levelname)s: %(message)s", "%Y-%m-%d %H:%M:%S"))

    root = logging.getLogger()

    root.addHandler(handler)
    root.setLevel(debug_mode and logging.DEBUG or logging.INFO)
