# Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
registry = {}

def register(name, class_, helpPriority):
    registry[name] = (class_, helpPriority)

def get(name):
    if registry.has_key(name):
        return registry[name][0]
    else:
        raise RuntimeError("Unknown command: " + name)

def items():
    commands = registry.items()
    commands.sort(lambda a, b: cmp(a[1][1], b[1][1]))
    return map(lambda a: (a[0],a[1][0]), commands)

#
# Any command should extend this class and provide attributes
# SHORT_HELP_STRING, HELP_STRING and USAGE_STRING
#
class HelpProvider(object):
    def help(self):
        return "Usage: backup-convert " + self.USAGE_STRING + "\n\n" + self.HELP_STRING
    help = classmethod(help)

# Local Variables:
# mode: python
# indent-tabs-mode: nil
# tab-width: 4
# End:
