import os
import sys

class PmmUtils:
    @staticmethod
    def fixPathEnvVariable():
        if sys.platform == "win32":
            return

        if os.environ.has_key("PATH"):
            parts = os.environ["PATH"].split(':')
            if not any('/bin' in p for p in parts):
                os.environ["PATH"] += ":/bin"
            if not any('/usr/bin' in p for p in parts):
                os.environ["PATH"] += ":/usr/bin"
        else:
            os.environ["PATH"] = "/usr/bin:/bin"

    @staticmethod
    def getFileLastNonEmptyLine(f, blocksize = 1024):
        lastLine = ''

        f.seek(0, os.SEEK_END)
        fsize = f.tell()
        
        remainToRead = fsize
        while remainToRead != 0:
            szToRead = min(remainToRead, blocksize)
            pos = remainToRead - szToRead
            f.seek(pos, os.SEEK_SET)
            block = f.read(szToRead)
            pos = len(block)
            subLine = ''
            while pos >= 0:
                isLineComplete = False
                idx = block.rfind('\n', 0, pos)
                subLine = block[idx + 1 : pos].strip('\r\n') + subLine
                if idx == -1:
                    break
                else:
                    pos = idx
                    if subLine or lastLine:
                        isLineComplete = True
                        break
                        
                if subLine:
                    break
            lastLine = subLine + lastLine
            remainToRead = remainToRead - szToRead
            if isLineComplete == True:
                break

        return lastLine
