#!/usr/bin/python
# Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.

import getopt, sys

import commands
import commands.convert
import commands.help
import commands.info
import commands.gettimestamp
from converter_exceptions import DumpTooOldException


def parseOptions(args):
    # Global options
    opts, args = getopt.getopt(args, "v", ["verbose"])
    verbosity = len(opts)

    # Command
    if len(args) == 0:
        commandName = "help"
    else:
        commandName = args.pop(0)

    command = commands.get(commandName)(verbosity)
    command.parse(args)

    return command


def main():
    try:
        command = parseOptions(sys.argv[1:])
    except Exception, e:
        sys.stderr.write("Command line parsing error: " + str(e) + "\n\n")
        command = commands.get("help")(0)
        command.parse([])

    try:
        command.act()
    except DumpTooOldException, e:
        sys.stderr.write(str(e) + "\n")
        sys.exit(114)
    except Exception, e:
        sys.stderr.write("Runtime error: " + str(e) + "\n")
        sys.exit(1)

if __name__ == '__main__':
    main()

# Local Variables:
# mode: python
# indent-tabs-mode: nil
# tab-width: 4
# End:
